Package com.castlabs.android.player.models

# Class EventMessage

java.lang.Object
com.castlabs.android.player.models.EventMessage

All Implemented Interfaces:
  `Parcelable`

public final class EventMessage extends Object implements Parcelable
An Event Message (emsg) as defined in ISO 23009-1.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EventMessage.Builder`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Parcelable.Creator<EventMessage>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventMessage(String schemeIdUri, String value, long durationMs, long id, byte[] messageData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `equals(Object obj)`
  `long`
  `getDurationMs()`
  The duration of the event in milliseconds.
  `long`
  `getId()`
  The instance identifier.
  `byte[]`
  `getMessageData()`
  The body of the message.
  `String`
  `getSchemeIdUri()`
  The message scheme.
  `String`
  `getValue()`
  The value for the event.
  `int`
  `hashCode()`
  `String`
  `toString()`
  `void`
  `writeToParcel(Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final Parcelable.Creator<EventMessage> CREATOR

- ## Constructor Details

  - ### EventMessage

    public EventMessage(String schemeIdUri, String value, long durationMs, long id, byte[] messageData)
    Parameters:
      `schemeIdUri` - The message scheme.
      `value` - The value for the event.
      `durationMs` - The duration of the event in milliseconds.
      `id` - The instance identifier.
      `messageData` - The body of the message.

- ## Method Details

  - ### getSchemeIdUri

    public String getSchemeIdUri()
    The message scheme.

  - ### getValue

    public String getValue()
    The value for the event.

  - ### getDurationMs

    public long getDurationMs()
    The duration of the event in milliseconds.

  - ### getId

    public long getId()
    The instance identifier.

  - ### getMessageData

    public byte[] getMessageData()
    The body of the message.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(@Nullable Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `Parcelable`

  - ### writeToParcel

    public void writeToParcel(Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `Parcelable`